Skip to main content
PUT
/
guardrails
/
{id}
Update Guard Rail Rules
curl --request PUT \
  --url https://use.hoop.dev/api/guardrails/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "my-strict-rule",
  "attributes": [
    "production",
    "pii"
  ],
  "connection_ids": [
    "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
    "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
  ],
  "description": "description about this rule",
  "input": {},
  "output": {}
}
'
import requests

url = "https://use.hoop.dev/api/guardrails/{id}"

payload = {
"name": "my-strict-rule",
"attributes": ["production", "pii"],
"connection_ids": ["15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7", "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"],
"description": "description about this rule",
"input": {},
"output": {}
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'my-strict-rule',
attributes: ['production', 'pii'],
connection_ids: ['15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7', '15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8'],
description: 'description about this rule',
input: {},
output: {}
})
};

fetch('https://use.hoop.dev/api/guardrails/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "attributes": [
    "production",
    "pii"
  ],
  "connection_ids": [
    "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
    "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
  ],
  "created_at": "2024-07-25T15:56:35.317601Z",
  "description": "description about this rule",
  "id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
  "input": {},
  "name": "my-strict-rule",
  "output": {},
  "updated_at": "2024-07-25T15:56:35.317601Z"
}
{
"message": "the error description"
}
{
"message": "the error description"
}

Body

application/json

The request body resource

name
string
required

Unique name for the rule

Example:

"my-strict-rule"

attributes
string[]

Attributes associated with this guardrail rule

Example:
["production", "pii"]
connection_ids
string[]

List of connection IDs that this guardrail applies to

Example:
[
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
]
description
string

The rule description

Example:

"description about this rule"

input
object

The input rule

{
"name": "deny-select",
"description": "<optional-description>",
"input": {
"rules": [
{"type": "deny_words_list", "words": ["SELECT"], "pattern_regex": ""}
]
},
"output": {
"rules": [
{"type": "pattern_match", "words": [], "pattern_regex": "[A-Z0-9]+"}
]
}
}
output
object

The output rule

{
"name": "deny-select",
"description": "<optional-description>",
"input": {
"rules": [
{"type": "deny_words_list", "words": ["SELECT"], "pattern_regex": ""}
]
},
"output": {
"rules": [
{"type": "pattern_match", "words": [], "pattern_regex": "[A-Z0-9]+"}
]
}
}

Response

OK

attributes
string[]

Attributes associated with this guardrail rule

Example:
["production", "pii"]
connection_ids
string[]

List of connection IDs that this guardrail applies to

Example:
[
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D8"
]
created_at
string
read-only

The time the resource was created

Example:

"2024-07-25T15:56:35.317601Z"

description
string

The rule description

Example:

"description about this rule"

id
string<uuid>
read-only

The resource identifier

Example:

"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"

input
object

The input rule

{
"name": "deny-select",
"description": "<optional-description>",
"input": {
"rules": [
{"type": "deny_words_list", "words": ["SELECT"], "pattern_regex": "", "name": "<optional-name>"}
]
},
"output": {
"rules": [
{"type": "pattern_match", "words": [], "pattern_regex": "[A-Z0-9]+"}
]
}
}
name
string

Unique name for the rule

Example:

"my-strict-rule"

output
object

The output rule

{
"name": "deny-select",
"description": "<optional-description>",
"input": {
"rules": [
{"type": "deny_words_list", "words": ["SELECT"], "pattern_regex": "", "name": "<optional-name>"}
]
},
"output": {
"rules": [
{"type": "pattern_match", "words": [], "pattern_regex": "[A-Z0-9]+"}
]
}
}
updated_at
string
read-only

The time the resource was updated

Example:

"2024-07-25T15:56:35.317601Z"